 ###################################
#     -------------------------     # 
#     UEF T3 Anti-Air  Missile      #
#     -------------------------     #
#                                   #
#           Author: BigO            #
#                                   #
 ###################################
 
local TMissileAAProjectile = import('/lua/terranprojectiles.lua').TMissileAAProjectile



UEFT3Missile = Class(TMissileAAProjectile) {



   ####################
   #     ON IMPACT    #
   ####################

     OnImpact = function(self,TargetType, EntityType)
                    TMissileAAProjectile.OnImpact(self, TargetType, EntityType)
                    
                    
                    
                   #Creates a small explosion effect on impact#
                   
             
                   
                   --CreateLightParticle(self, -1, self:GetArmy(), 1, 4, 'glow_02', 'ramp_red_02')
                   
                   #yellow glow
                   CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/terran_missile_hit_01_emit.bp'):ScaleEmitter(1.0) 
                   
                   #Weird black spots
                   CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/terran_missile_hit_02_emit.bp'):ScaleEmitter(0.5) 
                   
                   #Smoke cloud
                   CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/terran_missile_hit_03_emit.bp'):ScaleEmitter(0.5) 
                   
                   #Fire Star
                   CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/terran_missile_hit_04_emit.bp'):ScaleEmitter(0.6)  
                  

                   
                    
                    
           end,
}

TypeClass = UEFT3Missile

