 ###################################
#     -------------------------     # 
#     Aeon T3 Anti-Air Missile      #
#     -------------------------     #
#                                   #
#           Author: BigO            #
#                                   #
 ###################################
 
local AMissileAAProjectile = import('/lua/aeonprojectiles.lua').AMissileAAProjectile
local EffectTemplate = import('/lua/EffectTemplates.lua')

AeonT3Missile = Class(AMissileAAProjectile) {
  
  
   ####################
   #     ON IMPACT    #
   ####################

     OnImpact = function(self,TargetType, EntityType)
                    AMissileAAProjectile.OnImpact(self, TargetType, EntityType)
                    
                    
                    
                   #Creates a small explosion effect on impact#
                   
                 --CreateLightParticle(self, -1, self:GetArmy(), 1, 4, 'glow_03', 'ramp_red_02')
                 
                 CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/aeon_commander_overcharge_hit_01_emit.bp') 
                 CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/aeon_commander_overcharge_hit_02_emit.bp')  
                    
                 --CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/cybran_commander_overcharge_hit_01_emit.bp') 
                 --CreateEmitterAtEntity(self, self:GetArmy(),  '/effects/emitters/cybran_commander_overcharge_hit_02_emit.bp')   
           end,
   
}

TypeClass = AeonT3Missile

